---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab repo fork`

Create a fork of a GitLab repository

```plaintext
glab repo fork <repo> [flags]
```

## Examples

```plaintext
glab repo fork
glab repo fork namespace/repo
glab repo fork namespace/repo --clone

```

## Options

```plaintext
  -c, --clone         Clone the fork {true|false}
  -n, --name string   The name assigned to the resultant project after forking
  -p, --path string   The path assigned to the resultant project after forking
      --remote        Add remote for fork {true|false}
```

## Options inherited from parent commands

```plaintext
      --help   Show help for command
```
